Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | Inherited Methods | [Expand All]
public static interface

# AppStateManager.StateDeletedResult

implements Result

com.google.android.gms.appstate.AppStateManager.StateDeletedResult

## Class Overview

Result delivered when app state data has been deleted. Possible status codes include:

- `STATUS_OK` if data was successfully deleted from the server.
- `STATUS_NETWORK_ERROR_OPERATION_FAILED` if the device was unable to communicate with the network. In this case, the operation is not retried automatically.
- `STATUS_CLIENT_RECONNECT_REQUIRED` if the client needs to reconnect to the service to access this data.
- `STATUS_INTERNAL_ERROR` if an unexpected error occurred in the service.

## Summary

Public Methods
abstract int | getStateKey()

[Expand] Inherited Methods

From interface com.google.android.gms.common.api.Result

abstract Status | getStatus()

## Public Methods

#### public abstract int getStateKey ()

##### Returns

- The state key that the delete operation was applied to.